Bug 15144 - Some kind of menu format change is complicating preference-changing
Some kind of menu format change is complicating preference-changing
Product: Red Hat Linux
Classification: Retired
Component: WindowMaker (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
: 15419 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-08-02 15:00 EDT by Telsa Gwynne
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-03 16:20:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Telsa Gwynne 2000-08-02 15:00:31 EDT
Spotted on a fresh install (ie no previous files messing things up)
of pinstripe. Was trying to change preferences for WindowMaker.
Used both WPrefs and wmakerconf.  I am not very familiar with
the internals of wmaker so I don't really understand this:

WPrefs says, for the menu configuration section:
"Warning: the menu that is being used now could not be opened"
The message continues about possible typos or unsupported formats.

wmakerconf says, 
"Application menu configuration requires that your menu
file /home/hobbit/GNUstep/Defaults/WMRootMenu is in the new format"

Because this is an install rather than an upgrade, I don't have an
old format. Both programs suggest ways to continue with different
options, but I have little idea which I should be using.
Comment 1 Crutcher Dunnavant 2000-08-03 14:43:22 EDT
Not a bug.
This is how WM works. It's default menu is not a libProplist menu,
and as such, cannot be parsed by WPrefs or wmakerconf.
And that is in all its documentation, as well as in WPrefs error message.

If you want to use WPrefs or wmakerconf to edit your menu, tell them that it is
okay to copy over the default plmenu.

Closing this.
Comment 2 Alan Cox 2000-08-03 14:52:34 EDT
So maybe we should ship it with a libproplist root menu, since that appears to
be how it work on
6.x. Save a lot of tech support calls in the process.

Comment 3 Crutcher Dunnavant 2000-08-03 16:20:54 EDT
I personally use Window Maker. It has always acted like this. the default menu
has some capabilities that do not exist in the libproplist menu. The error
dialog tells you this, tells you where to get more info, and asks you if you
want to use the libproplist menu anyway.

It never worked differently from this.
So the question is, do we get a lot of support calls NOW about this?
Comment 4 Crutcher Dunnavant 2000-08-03 17:00:35 EDT
I went and asked support about this issue.
Crash said that they NEVER get asked about Window Maker,
or about this, and since it has always acted this way,
this is a non-issue (and shipping the other menu as the default
would remove some functionality)

I am closing this bug.
Comment 5 Crutcher Dunnavant 2000-08-06 21:44:49 EDT
*** Bug 15419 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.